import request from '@/utils/request'

// 查询业务对象数据接口列表
export function listData(query) {
    return request({
        url: '/obj/data/list',
        method: 'get',
        params: query
    })
}
export function getDataList(objId) {
    return request({
        url: '/obj/data/list/' + objId,
        method: 'get'
    })
}

// 查询业务对象数据接口详细
export function getData(dataId) {
    return request({
        url: '/obj/data/' + dataId,
        method: 'get'
    })
}

// 新增业务对象数据接口
export function addData(data) {
    return request({
        url: '/obj/data',
        method: 'post',
        data: data
    })
}

// 修改业务对象数据接口
export function updateData(data) {
    return request({
        url: '/obj/data',
        method: 'put',
        data: data
    })
}

// 删除业务对象数据接口
export function delData(dataId) {
    return request({
        url: '/obj/data/' + dataId,
        method: 'delete'
    })
}
